Update user

PATCH
https://example.kaiten.ru/api/latest/company/users/{id}

To use this route you need access to the Administrative section "Members"

Path parameters
NameTypeReference
idrequiredintegerUser ID
Headers
NameValue
Content-Typeapplication/json
Attributes
NameTypeConstraintsDescription
apps_permissions
integer

User access. 0 - no access, 1 - full access to Kaiten, access to service desk denied. 2 - guest access to Kaiten, access to service desk denied. 4 - access only to service desk. 5 - full access to Kaiten and service desk. 6 - guest access to Kaiten, access to service desk

temporarily_inactive
boolean

Temporarily inactive: user is still in company, but can't sign in and doesn't need a license

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

integer

Id
uid

string

Uid
full_name

string

User full name
email

string

User email
username

string

Username for mentions and login
avatar_initials_url

string

Default user avatar url
avatar_uploaded_url

string | null

User uploaded avatar url
initials

string

User initials
avatar_type

enum

1 – gravatar, 2 – initials, 3 - uploaded
lng

string

Language
timezone

string

Time zone
theme

enum

light - light color theme, dark - dark color theme, auto - color theme based on OS settings
updated

string

Last update timestamp
created

string

Create date
activated

boolean

User activated flag
ui_version

enum

1 - old ui. 2 - new ui
virtual

boolean

Is user virtual
email_blocked

string

Email blocked timestamp
email_blocked_reason

string

Email blocked reason
delete_requested_at

string

Timestamp of delete request
user_id

integer

User id
company_id

integer

Company id
default_space_id

null | integer

Default space
role

enum

User role in company: 1 - owner, 2 - user, 3 - deactivated
permissions

integer

User company permissions
apps_permissions

string

0 - no access, 1 - full access to Kaiten, access to service desk denied. 2 - guest access to Kaiten, access to service desk denied. 4 - access only to service desk. 5 - full access to Kaiten and service desk. 6 - guest access to Kaiten, access to service desk
email_frequency

enum

1 - never, 2 – instantly
email_settings

object

Schema
Email settings
slack_id

null || integer

User slack id
slack_settings

null || object

Slack settings
slack_private_channel_id

null | integer

User slack private channel id
telegram_sd_bot_enabled

boolean

Telegram bot enable flag
external

boolean

Is user external
notification_settings

object

Schema
Notification settings
work_time_settings

object

Schema
Work time settings
invite_last_sent_at

string

Last invite date
last_request_date

null | string

Date of last request
last_request_method

null | string

Type of last request
notification_enabled_channels

array

List of enabled channels for notifications
personal_settings

object

Schema
Personal settings
locked

boolean

Is user locked for update
temporarily_inactive

boolean

Temporarily inactive: user is still in company, but can't sign in and doesn't need a license
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

Examples

How to deactivate user

{
  "apps_permissions": 0
}

How to temporarily deactivate user

{
  "temporarily_inactive": true
}

How to temporarily activate user

{
  "temporarily_inactive": false
}
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request PATCH \
  2       --url 'https://example.kaiten.ru/api/latest/company/users/{id}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!